Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network2.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
2.0.0.0
Broadcast address
3.255.255.255
First usable
2.0.0.1
Last usable
3.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 02000000 · Integer 33554432 to 67108863
Reverse DNS zones
2.in-addr.arpa
3.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000010.00000000.00000000.000000002.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network00000010.00000000.00000000.000000002.0.0.0
Broadcast00000011.11111111.11111111.111111113.255.255.255
Split into smaller subnets/15

2.0.0.0/7 makes 256 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
12.0.0.0/152.0.0.1 to 2.1.255.2542.1.255.255131,070
22.2.0.0/152.2.0.1 to 2.3.255.2542.3.255.255131,070
32.4.0.0/152.4.0.1 to 2.5.255.2542.5.255.255131,070
42.6.0.0/152.6.0.1 to 2.7.255.2542.7.255.255131,070
52.8.0.0/152.8.0.1 to 2.9.255.2542.9.255.255131,070
62.10.0.0/152.10.0.1 to 2.11.255.2542.11.255.255131,070
72.12.0.0/152.12.0.1 to 2.13.255.2542.13.255.255131,070
82.14.0.0/152.14.0.1 to 2.15.255.2542.15.255.255131,070
92.16.0.0/152.16.0.1 to 2.17.255.2542.17.255.255131,070
102.18.0.0/152.18.0.1 to 2.19.255.2542.19.255.255131,070
112.20.0.0/152.20.0.1 to 2.21.255.2542.21.255.255131,070
122.22.0.0/152.22.0.1 to 2.23.255.2542.23.255.255131,070
132.24.0.0/152.24.0.1 to 2.25.255.2542.25.255.255131,070
142.26.0.0/152.26.0.1 to 2.27.255.2542.27.255.255131,070
152.28.0.0/152.28.0.1 to 2.29.255.2542.29.255.255131,070
162.30.0.0/152.30.0.1 to 2.31.255.2542.31.255.255131,070
172.32.0.0/152.32.0.1 to 2.33.255.2542.33.255.255131,070
182.34.0.0/152.34.0.1 to 2.35.255.2542.35.255.255131,070
192.36.0.0/152.36.0.1 to 2.37.255.2542.37.255.255131,070
202.38.0.0/152.38.0.1 to 2.39.255.2542.39.255.255131,070
212.40.0.0/152.40.0.1 to 2.41.255.2542.41.255.255131,070
222.42.0.0/152.42.0.1 to 2.43.255.2542.43.255.255131,070
232.44.0.0/152.44.0.1 to 2.45.255.2542.45.255.255131,070
242.46.0.0/152.46.0.1 to 2.47.255.2542.47.255.255131,070
252.48.0.0/152.48.0.1 to 2.49.255.2542.49.255.255131,070
262.50.0.0/152.50.0.1 to 2.51.255.2542.51.255.255131,070
272.52.0.0/152.52.0.1 to 2.53.255.2542.53.255.255131,070
282.54.0.0/152.54.0.1 to 2.55.255.2542.55.255.255131,070
292.56.0.0/152.56.0.1 to 2.57.255.2542.57.255.255131,070
302.58.0.0/152.58.0.1 to 2.59.255.2542.59.255.255131,070
312.60.0.0/152.60.0.1 to 2.61.255.2542.61.255.255131,070
322.62.0.0/152.62.0.1 to 2.63.255.2542.63.255.255131,070
332.64.0.0/152.64.0.1 to 2.65.255.2542.65.255.255131,070
342.66.0.0/152.66.0.1 to 2.67.255.2542.67.255.255131,070
352.68.0.0/152.68.0.1 to 2.69.255.2542.69.255.255131,070
362.70.0.0/152.70.0.1 to 2.71.255.2542.71.255.255131,070
372.72.0.0/152.72.0.1 to 2.73.255.2542.73.255.255131,070
382.74.0.0/152.74.0.1 to 2.75.255.2542.75.255.255131,070
392.76.0.0/152.76.0.1 to 2.77.255.2542.77.255.255131,070
402.78.0.0/152.78.0.1 to 2.79.255.2542.79.255.255131,070
412.80.0.0/152.80.0.1 to 2.81.255.2542.81.255.255131,070
422.82.0.0/152.82.0.1 to 2.83.255.2542.83.255.255131,070
432.84.0.0/152.84.0.1 to 2.85.255.2542.85.255.255131,070
442.86.0.0/152.86.0.1 to 2.87.255.2542.87.255.255131,070
452.88.0.0/152.88.0.1 to 2.89.255.2542.89.255.255131,070
462.90.0.0/152.90.0.1 to 2.91.255.2542.91.255.255131,070
472.92.0.0/152.92.0.1 to 2.93.255.2542.93.255.255131,070
482.94.0.0/152.94.0.1 to 2.95.255.2542.95.255.255131,070
492.96.0.0/152.96.0.1 to 2.97.255.2542.97.255.255131,070
502.98.0.0/152.98.0.1 to 2.99.255.2542.99.255.255131,070
512.100.0.0/152.100.0.1 to 2.101.255.2542.101.255.255131,070
522.102.0.0/152.102.0.1 to 2.103.255.2542.103.255.255131,070
532.104.0.0/152.104.0.1 to 2.105.255.2542.105.255.255131,070
542.106.0.0/152.106.0.1 to 2.107.255.2542.107.255.255131,070
552.108.0.0/152.108.0.1 to 2.109.255.2542.109.255.255131,070
562.110.0.0/152.110.0.1 to 2.111.255.2542.111.255.255131,070
572.112.0.0/152.112.0.1 to 2.113.255.2542.113.255.255131,070
582.114.0.0/152.114.0.1 to 2.115.255.2542.115.255.255131,070
592.116.0.0/152.116.0.1 to 2.117.255.2542.117.255.255131,070
602.118.0.0/152.118.0.1 to 2.119.255.2542.119.255.255131,070
612.120.0.0/152.120.0.1 to 2.121.255.2542.121.255.255131,070
622.122.0.0/152.122.0.1 to 2.123.255.2542.123.255.255131,070
632.124.0.0/152.124.0.1 to 2.125.255.2542.125.255.255131,070
642.126.0.0/152.126.0.1 to 2.127.255.2542.127.255.255131,070
652.128.0.0/152.128.0.1 to 2.129.255.2542.129.255.255131,070
662.130.0.0/152.130.0.1 to 2.131.255.2542.131.255.255131,070
672.132.0.0/152.132.0.1 to 2.133.255.2542.133.255.255131,070
682.134.0.0/152.134.0.1 to 2.135.255.2542.135.255.255131,070
692.136.0.0/152.136.0.1 to 2.137.255.2542.137.255.255131,070
702.138.0.0/152.138.0.1 to 2.139.255.2542.139.255.255131,070
712.140.0.0/152.140.0.1 to 2.141.255.2542.141.255.255131,070
722.142.0.0/152.142.0.1 to 2.143.255.2542.143.255.255131,070
732.144.0.0/152.144.0.1 to 2.145.255.2542.145.255.255131,070
742.146.0.0/152.146.0.1 to 2.147.255.2542.147.255.255131,070
752.148.0.0/152.148.0.1 to 2.149.255.2542.149.255.255131,070
762.150.0.0/152.150.0.1 to 2.151.255.2542.151.255.255131,070
772.152.0.0/152.152.0.1 to 2.153.255.2542.153.255.255131,070
782.154.0.0/152.154.0.1 to 2.155.255.2542.155.255.255131,070
792.156.0.0/152.156.0.1 to 2.157.255.2542.157.255.255131,070
802.158.0.0/152.158.0.1 to 2.159.255.2542.159.255.255131,070
812.160.0.0/152.160.0.1 to 2.161.255.2542.161.255.255131,070
822.162.0.0/152.162.0.1 to 2.163.255.2542.163.255.255131,070
832.164.0.0/152.164.0.1 to 2.165.255.2542.165.255.255131,070
842.166.0.0/152.166.0.1 to 2.167.255.2542.167.255.255131,070
852.168.0.0/152.168.0.1 to 2.169.255.2542.169.255.255131,070
862.170.0.0/152.170.0.1 to 2.171.255.2542.171.255.255131,070
872.172.0.0/152.172.0.1 to 2.173.255.2542.173.255.255131,070
882.174.0.0/152.174.0.1 to 2.175.255.2542.175.255.255131,070
892.176.0.0/152.176.0.1 to 2.177.255.2542.177.255.255131,070
902.178.0.0/152.178.0.1 to 2.179.255.2542.179.255.255131,070
912.180.0.0/152.180.0.1 to 2.181.255.2542.181.255.255131,070
922.182.0.0/152.182.0.1 to 2.183.255.2542.183.255.255131,070
932.184.0.0/152.184.0.1 to 2.185.255.2542.185.255.255131,070
942.186.0.0/152.186.0.1 to 2.187.255.2542.187.255.255131,070
952.188.0.0/152.188.0.1 to 2.189.255.2542.189.255.255131,070
962.190.0.0/152.190.0.1 to 2.191.255.2542.191.255.255131,070
972.192.0.0/152.192.0.1 to 2.193.255.2542.193.255.255131,070
982.194.0.0/152.194.0.1 to 2.195.255.2542.195.255.255131,070
992.196.0.0/152.196.0.1 to 2.197.255.2542.197.255.255131,070
1002.198.0.0/152.198.0.1 to 2.199.255.2542.199.255.255131,070
1012.200.0.0/152.200.0.1 to 2.201.255.2542.201.255.255131,070
1022.202.0.0/152.202.0.1 to 2.203.255.2542.203.255.255131,070
1032.204.0.0/152.204.0.1 to 2.205.255.2542.205.255.255131,070
1042.206.0.0/152.206.0.1 to 2.207.255.2542.207.255.255131,070
1052.208.0.0/152.208.0.1 to 2.209.255.2542.209.255.255131,070
1062.210.0.0/152.210.0.1 to 2.211.255.2542.211.255.255131,070
1072.212.0.0/152.212.0.1 to 2.213.255.2542.213.255.255131,070
1082.214.0.0/152.214.0.1 to 2.215.255.2542.215.255.255131,070
1092.216.0.0/152.216.0.1 to 2.217.255.2542.217.255.255131,070
1102.218.0.0/152.218.0.1 to 2.219.255.2542.219.255.255131,070
1112.220.0.0/152.220.0.1 to 2.221.255.2542.221.255.255131,070
1122.222.0.0/152.222.0.1 to 2.223.255.2542.223.255.255131,070
1132.224.0.0/152.224.0.1 to 2.225.255.2542.225.255.255131,070
1142.226.0.0/152.226.0.1 to 2.227.255.2542.227.255.255131,070
1152.228.0.0/152.228.0.1 to 2.229.255.2542.229.255.255131,070
1162.230.0.0/152.230.0.1 to 2.231.255.2542.231.255.255131,070
1172.232.0.0/152.232.0.1 to 2.233.255.2542.233.255.255131,070
1182.234.0.0/152.234.0.1 to 2.235.255.2542.235.255.255131,070
1192.236.0.0/152.236.0.1 to 2.237.255.2542.237.255.255131,070
1202.238.0.0/152.238.0.1 to 2.239.255.2542.239.255.255131,070
1212.240.0.0/152.240.0.1 to 2.241.255.2542.241.255.255131,070
1222.242.0.0/152.242.0.1 to 2.243.255.2542.243.255.255131,070
1232.244.0.0/152.244.0.1 to 2.245.255.2542.245.255.255131,070
1242.246.0.0/152.246.0.1 to 2.247.255.2542.247.255.255131,070
1252.248.0.0/152.248.0.1 to 2.249.255.2542.249.255.255131,070
1262.250.0.0/152.250.0.1 to 2.251.255.2542.251.255.255131,070
1272.252.0.0/152.252.0.1 to 2.253.255.2542.253.255.255131,070
1282.254.0.0/152.254.0.1 to 2.255.255.2542.255.255.255131,070
1293.0.0.0/153.0.0.1 to 3.1.255.2543.1.255.255131,070
1303.2.0.0/153.2.0.1 to 3.3.255.2543.3.255.255131,070
1313.4.0.0/153.4.0.1 to 3.5.255.2543.5.255.255131,070
1323.6.0.0/153.6.0.1 to 3.7.255.2543.7.255.255131,070
1333.8.0.0/153.8.0.1 to 3.9.255.2543.9.255.255131,070
1343.10.0.0/153.10.0.1 to 3.11.255.2543.11.255.255131,070
1353.12.0.0/153.12.0.1 to 3.13.255.2543.13.255.255131,070
1363.14.0.0/153.14.0.1 to 3.15.255.2543.15.255.255131,070
1373.16.0.0/153.16.0.1 to 3.17.255.2543.17.255.255131,070
1383.18.0.0/153.18.0.1 to 3.19.255.2543.19.255.255131,070
1393.20.0.0/153.20.0.1 to 3.21.255.2543.21.255.255131,070
1403.22.0.0/153.22.0.1 to 3.23.255.2543.23.255.255131,070
1413.24.0.0/153.24.0.1 to 3.25.255.2543.25.255.255131,070
1423.26.0.0/153.26.0.1 to 3.27.255.2543.27.255.255131,070
1433.28.0.0/153.28.0.1 to 3.29.255.2543.29.255.255131,070
1443.30.0.0/153.30.0.1 to 3.31.255.2543.31.255.255131,070
1453.32.0.0/153.32.0.1 to 3.33.255.2543.33.255.255131,070
1463.34.0.0/153.34.0.1 to 3.35.255.2543.35.255.255131,070
1473.36.0.0/153.36.0.1 to 3.37.255.2543.37.255.255131,070
1483.38.0.0/153.38.0.1 to 3.39.255.2543.39.255.255131,070
1493.40.0.0/153.40.0.1 to 3.41.255.2543.41.255.255131,070
1503.42.0.0/153.42.0.1 to 3.43.255.2543.43.255.255131,070
1513.44.0.0/153.44.0.1 to 3.45.255.2543.45.255.255131,070
1523.46.0.0/153.46.0.1 to 3.47.255.2543.47.255.255131,070
1533.48.0.0/153.48.0.1 to 3.49.255.2543.49.255.255131,070
1543.50.0.0/153.50.0.1 to 3.51.255.2543.51.255.255131,070
1553.52.0.0/153.52.0.1 to 3.53.255.2543.53.255.255131,070
1563.54.0.0/153.54.0.1 to 3.55.255.2543.55.255.255131,070
1573.56.0.0/153.56.0.1 to 3.57.255.2543.57.255.255131,070
1583.58.0.0/153.58.0.1 to 3.59.255.2543.59.255.255131,070
1593.60.0.0/153.60.0.1 to 3.61.255.2543.61.255.255131,070
1603.62.0.0/153.62.0.1 to 3.63.255.2543.63.255.255131,070
1613.64.0.0/153.64.0.1 to 3.65.255.2543.65.255.255131,070
1623.66.0.0/153.66.0.1 to 3.67.255.2543.67.255.255131,070
1633.68.0.0/153.68.0.1 to 3.69.255.2543.69.255.255131,070
1643.70.0.0/153.70.0.1 to 3.71.255.2543.71.255.255131,070
1653.72.0.0/153.72.0.1 to 3.73.255.2543.73.255.255131,070
1663.74.0.0/153.74.0.1 to 3.75.255.2543.75.255.255131,070
1673.76.0.0/153.76.0.1 to 3.77.255.2543.77.255.255131,070
1683.78.0.0/153.78.0.1 to 3.79.255.2543.79.255.255131,070
1693.80.0.0/153.80.0.1 to 3.81.255.2543.81.255.255131,070
1703.82.0.0/153.82.0.1 to 3.83.255.2543.83.255.255131,070
1713.84.0.0/153.84.0.1 to 3.85.255.2543.85.255.255131,070
1723.86.0.0/153.86.0.1 to 3.87.255.2543.87.255.255131,070
1733.88.0.0/153.88.0.1 to 3.89.255.2543.89.255.255131,070
1743.90.0.0/153.90.0.1 to 3.91.255.2543.91.255.255131,070
1753.92.0.0/153.92.0.1 to 3.93.255.2543.93.255.255131,070
1763.94.0.0/153.94.0.1 to 3.95.255.2543.95.255.255131,070
1773.96.0.0/153.96.0.1 to 3.97.255.2543.97.255.255131,070
1783.98.0.0/153.98.0.1 to 3.99.255.2543.99.255.255131,070
1793.100.0.0/153.100.0.1 to 3.101.255.2543.101.255.255131,070
1803.102.0.0/153.102.0.1 to 3.103.255.2543.103.255.255131,070
1813.104.0.0/153.104.0.1 to 3.105.255.2543.105.255.255131,070
1823.106.0.0/153.106.0.1 to 3.107.255.2543.107.255.255131,070
1833.108.0.0/153.108.0.1 to 3.109.255.2543.109.255.255131,070
1843.110.0.0/153.110.0.1 to 3.111.255.2543.111.255.255131,070
1853.112.0.0/153.112.0.1 to 3.113.255.2543.113.255.255131,070
1863.114.0.0/153.114.0.1 to 3.115.255.2543.115.255.255131,070
1873.116.0.0/153.116.0.1 to 3.117.255.2543.117.255.255131,070
1883.118.0.0/153.118.0.1 to 3.119.255.2543.119.255.255131,070
1893.120.0.0/153.120.0.1 to 3.121.255.2543.121.255.255131,070
1903.122.0.0/153.122.0.1 to 3.123.255.2543.123.255.255131,070
1913.124.0.0/153.124.0.1 to 3.125.255.2543.125.255.255131,070
1923.126.0.0/153.126.0.1 to 3.127.255.2543.127.255.255131,070
1933.128.0.0/153.128.0.1 to 3.129.255.2543.129.255.255131,070
1943.130.0.0/153.130.0.1 to 3.131.255.2543.131.255.255131,070
1953.132.0.0/153.132.0.1 to 3.133.255.2543.133.255.255131,070
1963.134.0.0/153.134.0.1 to 3.135.255.2543.135.255.255131,070
1973.136.0.0/153.136.0.1 to 3.137.255.2543.137.255.255131,070
1983.138.0.0/153.138.0.1 to 3.139.255.2543.139.255.255131,070
1993.140.0.0/153.140.0.1 to 3.141.255.2543.141.255.255131,070
2003.142.0.0/153.142.0.1 to 3.143.255.2543.143.255.255131,070
2013.144.0.0/153.144.0.1 to 3.145.255.2543.145.255.255131,070
2023.146.0.0/153.146.0.1 to 3.147.255.2543.147.255.255131,070
2033.148.0.0/153.148.0.1 to 3.149.255.2543.149.255.255131,070
2043.150.0.0/153.150.0.1 to 3.151.255.2543.151.255.255131,070
2053.152.0.0/153.152.0.1 to 3.153.255.2543.153.255.255131,070
2063.154.0.0/153.154.0.1 to 3.155.255.2543.155.255.255131,070
2073.156.0.0/153.156.0.1 to 3.157.255.2543.157.255.255131,070
2083.158.0.0/153.158.0.1 to 3.159.255.2543.159.255.255131,070
2093.160.0.0/153.160.0.1 to 3.161.255.2543.161.255.255131,070
2103.162.0.0/153.162.0.1 to 3.163.255.2543.163.255.255131,070
2113.164.0.0/153.164.0.1 to 3.165.255.2543.165.255.255131,070
2123.166.0.0/153.166.0.1 to 3.167.255.2543.167.255.255131,070
2133.168.0.0/153.168.0.1 to 3.169.255.2543.169.255.255131,070
2143.170.0.0/153.170.0.1 to 3.171.255.2543.171.255.255131,070
2153.172.0.0/153.172.0.1 to 3.173.255.2543.173.255.255131,070
2163.174.0.0/153.174.0.1 to 3.175.255.2543.175.255.255131,070
2173.176.0.0/153.176.0.1 to 3.177.255.2543.177.255.255131,070
2183.178.0.0/153.178.0.1 to 3.179.255.2543.179.255.255131,070
2193.180.0.0/153.180.0.1 to 3.181.255.2543.181.255.255131,070
2203.182.0.0/153.182.0.1 to 3.183.255.2543.183.255.255131,070
2213.184.0.0/153.184.0.1 to 3.185.255.2543.185.255.255131,070
2223.186.0.0/153.186.0.1 to 3.187.255.2543.187.255.255131,070
2233.188.0.0/153.188.0.1 to 3.189.255.2543.189.255.255131,070
2243.190.0.0/153.190.0.1 to 3.191.255.2543.191.255.255131,070
2253.192.0.0/153.192.0.1 to 3.193.255.2543.193.255.255131,070
2263.194.0.0/153.194.0.1 to 3.195.255.2543.195.255.255131,070
2273.196.0.0/153.196.0.1 to 3.197.255.2543.197.255.255131,070
2283.198.0.0/153.198.0.1 to 3.199.255.2543.199.255.255131,070
2293.200.0.0/153.200.0.1 to 3.201.255.2543.201.255.255131,070
2303.202.0.0/153.202.0.1 to 3.203.255.2543.203.255.255131,070
2313.204.0.0/153.204.0.1 to 3.205.255.2543.205.255.255131,070
2323.206.0.0/153.206.0.1 to 3.207.255.2543.207.255.255131,070
2333.208.0.0/153.208.0.1 to 3.209.255.2543.209.255.255131,070
2343.210.0.0/153.210.0.1 to 3.211.255.2543.211.255.255131,070
2353.212.0.0/153.212.0.1 to 3.213.255.2543.213.255.255131,070
2363.214.0.0/153.214.0.1 to 3.215.255.2543.215.255.255131,070
2373.216.0.0/153.216.0.1 to 3.217.255.2543.217.255.255131,070
2383.218.0.0/153.218.0.1 to 3.219.255.2543.219.255.255131,070
2393.220.0.0/153.220.0.1 to 3.221.255.2543.221.255.255131,070
2403.222.0.0/153.222.0.1 to 3.223.255.2543.223.255.255131,070
2413.224.0.0/153.224.0.1 to 3.225.255.2543.225.255.255131,070
2423.226.0.0/153.226.0.1 to 3.227.255.2543.227.255.255131,070
2433.228.0.0/153.228.0.1 to 3.229.255.2543.229.255.255131,070
2443.230.0.0/153.230.0.1 to 3.231.255.2543.231.255.255131,070
2453.232.0.0/153.232.0.1 to 3.233.255.2543.233.255.255131,070
2463.234.0.0/153.234.0.1 to 3.235.255.2543.235.255.255131,070
2473.236.0.0/153.236.0.1 to 3.237.255.2543.237.255.255131,070
2483.238.0.0/153.238.0.1 to 3.239.255.2543.239.255.255131,070
2493.240.0.0/153.240.0.1 to 3.241.255.2543.241.255.255131,070
2503.242.0.0/153.242.0.1 to 3.243.255.2543.243.255.255131,070
2513.244.0.0/153.244.0.1 to 3.245.255.2543.245.255.255131,070
2523.246.0.0/153.246.0.1 to 3.247.255.2543.247.255.255131,070
2533.248.0.0/153.248.0.1 to 3.249.255.2543.249.255.255131,070
2543.250.0.0/153.250.0.1 to 3.251.255.2543.251.255.255131,070
2553.252.0.0/153.252.0.1 to 3.253.255.2543.253.255.255131,070
2563.254.0.0/153.254.0.1 to 3.255.255.2543.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses